Bug 35913 - vncserver does not use font server (xfs)
Summary: vncserver does not use font server (xfs)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vnc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-13 20:24 UTC by Milan Dadok
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-19 10:14:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Milan Dadok 2001-04-13 20:24:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0; 
MSNATLAS01.CZ)


vncserver script does not set X11 font path to use font server.
Some fonts in vnc session does not work (ex. iso8859-2 fonts)

Reproducible: Always
Steps to Reproduce:
1. I make binary rpm from vnc-3.3.3r2-13.src.rpm on Redhat 6.2 CZ (czech 
version)
2. install binary rpm
3. start vncserver
4. all czech text in KDE desktop are invalid, I cannot select ISO8859-
charset

All are correct after applaying this patch on vncserver script
--- /usr/src/redhat/BUILD/vnc_unixsrc/vncserver	Fri Apr 13 21:07:11 2001
+++ /usr/bin/vncserver	Fri Apr 13 22:05:01 2001
@@ -148,6 +148,7 @@
 
 # Add font path and color database stuff here, e.g.:
 #
+$cmd .= " -fp unix/:-1";
 # $cmd .= " -fp /usr/lib/X11/fonts/misc/,/usr/lib/X11/fonts/75dpi/";
 # $cmd .= " -co /usr/lib/X11/rgb";
 #

Comment 1 Tim Waugh 2001-04-19 09:32:18 UTC
Yes, this seems like a reasonable thing to do.


Comment 2 Tim Waugh 2001-05-04 11:21:55 UTC
In fact newer version of Red Hat Linux use unix/:7100 for the font path.  I 
have adjusted this in vnc-3.3.3r2-15.



Note You need to log in before you can comment on or make changes to this bug.